Pacman

Welcome to the Pacman bug tracker. Please search the current bugs and feature requests before filing a new one! Use advanced search and select "Search in Comments".

* Please select the correct category and version.
* Write a descriptive summary, background info, and provide a reproducible test case whenever possible.
Tasklist

FS#26495 - Use gpgme-config

Attached to Project: Pacman
Opened by Nathan Phillip Brink (ohnobinki) - Monday, 17 October 2011, 21:38 GMT
Last edited by Dan McGee (toofishes) - Monday, 17 October 2011, 22:21 GMT
Task Type Bug Report
Category General
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version git
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Summary and Info:

On some systems, it is necessary to use CPPFLAGS=-I/usr/include/gpgme to compile pacman with --with-gpgme. Instead of using AC_CHECK_LIBS, configure.ac should use gpgme's AM_GPGME_PATH which uses the gpgme-config utility to get information of how to link against gpgme.

Steps to Reproduce:

Try to compile pacman on a distro whose gpgme headers are in /usr/include/gpgme instead of /usr/include.

Unreproducable for me after applying attached patch.
This task depends upon

Closed by  Dan McGee (toofishes)
Monday, 17 October 2011, 22:21 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#24612 
Comment by Nathan Phillip Brink (ohnobinki) - Monday, 17 October 2011, 21:41 GMT
Oops, this is a dupe of bug #24612. Apparently searches in flyspray are restricted to the selected project which is not pacman by default.

Loading...